edu.isi.pegasus.planner.catalog.site.classes

## Enum GridGateway.SCHEDULER_TYPE

- java.lang.Object
- - java.lang.Enum<GridGateway.SCHEDULER_TYPE>
  - - edu.isi.pegasus.planner.catalog.site.classes.GridGateway.SCHEDULER_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GridGateway.SCHEDULER_TYPE>

Enclosing class:
  GridGateway

    public static enum GridGateway.SCHEDULER_TYPE
    extends java.lang.Enum<GridGateway.SCHEDULER_TYPE>

An enumeration of valid schedulers on the grid gateway.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Condor`
`Fork`
`LSF`
`PBS`
`SGE`
`Unknown`

### Method Summary

All Methods Static Methods Concrete Methods
`static GridGateway.SCHEDULER_TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GridGateway.SCHEDULER_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Fork

    public static final GridGateway.SCHEDULER_TYPE Fork

#### LSF

    public static final GridGateway.SCHEDULER_TYPE LSF

#### PBS

    public static final GridGateway.SCHEDULER_TYPE PBS

#### Condor

    public static final GridGateway.SCHEDULER_TYPE Condor

#### SGE

    public static final GridGateway.SCHEDULER_TYPE SGE

#### Unknown

    public static final GridGateway.SCHEDULER_TYPE Unknown

### Method Detail

#### values

    public static GridGateway.SCHEDULER_TYPE[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridGateway.SCHEDULER_TYPE c : GridGateway.SCHEDULER_TYPE.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridGateway.SCHEDULER_TYPE valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null